Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
web-sessions
Create web session
curl --request POST \
  --url https://api.slng.ai/v1/agents/{agent_id}/web-sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "arguments": {},
  "participant_name": "<string>"
}
'
{
  "call_id": "550e8400-e29b-41d4-a716-446655440000",
  "room_name": "<string>",
  "livekit_url": "<string>",
  "livekit_token": "<string>",
  "max_session_seconds": 61,
  "message": "Web session created successfully"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Voice agent ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
arguments
object
participant_name
string | null

Optional display name for the web participant.

Response

Web session created.

call_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

room_name
string
required
livekit_url
string
required
livekit_token
string
required
max_session_seconds
integer
required
Required range: x >= 60
message
string
required
Example:

"Web session created successfully"